Dodelijk kieskeurig

Mozilla Firefox is de webbrowser van Mozilla. Volg in geval van problemen eerst onze standaard diagnose.
Ria
    unknown unknown

Dodelijk kieskeurig

Bericht door Ria »

Gisteren een branch build gedownload van 1 juli. Tijdens het opstarten kreeg ik een lijst extensies voorgeschoteld met de tekst dat "deze extensies door Firefox waren uitgeschakeld omdat ze niet compatibel waren".
Ik besloot Firefox 0.9.1+ zijn zin te geven en een nieuw profiel te maken met uitsluitend splinternieuwe extensies uit Mozilla Update. Dat lukte overigens alleen maar met de release 0.9.1 omdat ik met 0.9.1+ een weigering kreeg...
Maar toen ik daarna 0.9.1+ opstartte kreeg ik weer die lijst (gloednieuwe) extensies te zien die allemaal niet-compatibel waren en dus door FF uitgeschakeld. Toen ik ze weer inschakelde bleken mijn Qute-ikonen helemaal gemutileerd...

Iemand enig idee waar dit goed voor kan zijn? Want eerst draaiden de extensies probleemloos en dit is alleen maar een toegevoegde beperking lijkt me.

Groeten,
Ria
Gebruikersavatar
ByteWarrior
Berichten: 3825
Lid geworden op: 15 oktober 2003, 14:56
Locatie: Tielt-Winge, België
    unknown unknown

Re: Dodelijk kieskeurig

Bericht door ByteWarrior »

Ria schreef:deze extensies door Firefox waren uitgeschakeld omdat ze niet compatibel waren".
...
Iemand enig idee waar dit goed voor kan zijn? Want eerst draaiden de extensies probleemloos en dit is alleen maar een toegevoegde beperking lijkt me.
Ik denk dat dit gewoon een ingebouwde veiligheid is om toekomstige problemen met extensies te vermijden.

Ik kreeg deze melding ook nadat ik de 0.9.1 installeerde. Ik heb dan de extensiemanager geopend, alle extensies eens ingeschakeld, daarna terug uitgeschakeld. Firefox afsluiten en terug opstarten. Dan de extensies terug inschakelen en Firefox nogmaals herstarten. Toen werkten alle extensies terug...
Gebruikersavatar
Gert-Paul
Berichten: 2358
Lid geworden op: 4 maart 2004, 17:48
    unknown unknown

Bericht door Gert-Paul »

Dit heeft ermee te maken dat een maker van een extensie op moet geven voor welke versies van Firefox werkt. Aangezien de meeste extensiemakers 0.9 als maximum opgegeven hebben werken ze in 0.9+ niet meer. Voor 0.9.1 is het probleem 'opgelost' door te doen het interne versienummer op 0.9 te laten staan, maar daardoor krijgen mensen soms wel een update melding.

Wat moet je nu doen om het te voorkomen?
Ga naar about:config en kijk naar de volgende instellingen:
app.version en extensions.lastAppVersion.

Verander deze allebei in 0.9 en dan moet je die melding niet meer krijgen.
Ria
    unknown unknown

Bericht door Ria »

Klinkt heel aannemelijk en ik heb die plusjes dan maar weggedaan.

Ik kan de laatste versie helaas niet meer draaien omdat de toolbar verminkt wordt. Dan zou ik de extensie "Toolbar Enhancements" uit moeten schakelen en dat is geen optie. Er zal ooit wel een nieuwe versie komen. Er zijn wel alternatieven zoals "Trivial" maar die zijn minder leuk.

Ook Superscroll werkt trouwens niet meer in 0.9.1+.

Groeten,
Ria
Ria
    unknown unknown

Bericht door Ria »

Met verminking bedoel ik dat ik niet de ikoon zie, maar de ruimte tussen twee inkonen in. Ik zie dus twee halve ikonen die nergens op slaan. Ook de gewone ikonen bijv. Back-Forward zien er raar uit, sommige zijn gehalveerd.
Ria
    unknown unknown

Bericht door Ria »

ByteWarrior schreef:Ik kreeg deze melding ook nadat ik de 0.9.1 installeerde. Ik heb dan de extensiemanager geopend, alle extensies eens ingeschakeld, daarna terug uitgeschakeld. Firefox afsluiten en terug opstarten. Dan de extensies terug inschakelen en Firefox nogmaals herstarten. Toen werkten alle extensies terug...
Ik heb die melding nooit eerder gehad, omdat de maker mijn user agent string op 8+ had gezet. Ik dacht dat dat een vergissing was maar misschien had hij dat gedaan om bovengenoemde problemen te voorkomen.
Ria
    unknown unknown

Bericht door Ria »

Ria schreef:Ik kan de laatste versie helaas niet meer draaien omdat de toolbar verminkt wordt. Dan zou ik de extensie "Toolbar Enhancements" uit moeten schakelen en dat is geen optie. Er zal ooit wel een nieuwe versie komen.
Er is inmiddels een nieuwe versie van Toolbar Enhancements gekomen. Waar ik niks aan heb, want die is in Winstripe style. Op mijn vraag of de maker ("Clav") de extensie please ook kon leveren in Qute style kreeg ik o.a. dit antwoord:
Not unless Qute is released with an OSI-approved and MPL-compatible licence.
Wat bedoelt hij precies? En wat kan ik eraan doen?
Gebruikersavatar
Scorzon Era
Berichten: 1878
Lid geworden op: 4 juli 2004, 19:50
    unknown unknown

Bericht door Scorzon Era »

Ria schreef:Er is inmiddels een nieuwe versie van Toolbar Enhancements gekomen. Waar ik niks aan heb, want die is in Winstripe style. Op mijn vraag of de maker ("Clav") de extensie please ook kon leveren in Qute style kreeg ik o.a. dit antwoord:
Not unless Qute is released with an OSI-approved and MPL-compatible licence.
Wat bedoelt hij precies? En wat kan ik eraan doen?
Voorlopig kun je daar niets aan doen. Het betekend dat Qute is niet uitgegeven volgens bepaalde licentie-regels, daarom is het ook niet meer de standaard theme van FF. (Wat allemaal ook niet zo netjes is verlopen, vind ik zelf. Zie ook: http://forums.mozillazine.org/viewtopic.php?p=562795 )
Gast
    unknown unknown

Bericht door Gast »

Scorzon Era schreef:Voorlopig kun je daar niets aan doen. Het betekend dat Qute is niet uitgegeven volgens bepaalde licentie-regels, daarom is het ook niet meer de standaard theme van FF. (Wat allemaal ook niet zo netjes is verlopen, vind ik zelf. Zie ook: http://forums.mozillazine.org/viewtopic.php?p=562795 )
Eh ja, ik wist dat zo het gemier begonnen was. En ook dat Clavering aan de kant van Goodger stond :(
Gebruikersavatar
nirwana
Beheerder
Berichten: 11383
Lid geworden op: 19 september 2003, 5:09
    unknown unknown

Bericht door nirwana »

Clav bedoelt dat Qute niet 'open genoeg' is. Als het helemaal onder een open licentie zou worden vrijgegeven dan zouden die iconen door iedereen vrij te gebruiken zijn. En nu kan alleen de maker er met het Qute-thema gebruik van maken.

Zou het niet zo zijn dat je dan aan de maker van Qute zou moeten vragen of hij voor deze toolbar iconen aan het standaard Qute-thema wil toevoegen ? Het is namelijk de vraag wie daarvoor het beste kan zorgen:
1) de maker van de extensie (deze toolbar)
2) de maker van het thema (Qute)
Uiteraard is een of andere samenwerking tussen beide personen het handigst.
Met vriendelijke groet,

Martijn
[ Mede-oprichter + webmaster MozBrowser | beheerder Startpagina's over freeware, GIMP, Mozilla en OpenOffice.org / LibreOffice, Ubuntu
Ria
    unknown unknown

Qute

Bericht door Ria »

Bijgaand een screenshot:

Groeten :)
Ria

Afbeelding
Ria
Berichten: 478
Lid geworden op: 11 juli 2004, 17:38
    unknown unknown

Bericht door Ria »

Dit is inmiddels opgelost.
Het probleem werd veroorzaakt door een extensie die ik gedownload had en vergeten, "Allow Right Click". Toen ik die uitgeschakeld had verschenen alle ikonen weer ongeschonden in de toolbar.